aboutsummaryrefslogtreecommitdiffstats
path: root/testing/lxdm/lxdm.initd
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2010-12-22 15:47:38 -0600
committerWilliam Pitcock <nenolod@dereferenced.org>2010-12-22 15:47:38 -0600
commite5f936130acb7e29bc68ba1cb346e7f2ff16efd8 (patch)
treed8555ce5e822f6a4431631b8f776370cede13b89 /testing/lxdm/lxdm.initd
parent477768c1998ec4898ce94019eeba49510502f145 (diff)
downloadaports-e5f936130acb7e29bc68ba1cb346e7f2ff16efd8.tar.gz
aports-e5f936130acb7e29bc68ba1cb346e7f2ff16efd8.tar.bz2
aports-e5f936130acb7e29bc68ba1cb346e7f2ff16efd8.tar.xz
testing/lxdm: new aport.
Diffstat (limited to 'testing/lxdm/lxdm.initd')
-rwxr-xr-xtesting/lxdm/lxdm.initd18
1 files changed, 18 insertions, 0 deletions
diff --git a/testing/lxdm/lxdm.initd b/testing/lxdm/lxdm.initd
new file mode 100755
index 0000000000..274c4afe9b
--- /dev/null
+++ b/testing/lxdm/lxdm.initd
@@ -0,0 +1,18 @@
+#!/sbin/runscript
+
+depends() {
+ needs localmount
+}
+
+start() {
+ ebegin "Starting lxdm"
+ start-stop-daemon --start --quiet --exec /usr/bin/lxdm -- -d
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping lxdm"
+ start-stop-daemon --stop --quiet --exec /usr/bin/lxdm
+ eend $?
+}
+